<div class="map-article" {{did-insert this.setup}} {{did-update this.setup @map}}>
  <div class="row">
    <div class="col">
      <Browse::Map::Title @map={{@map}} />
    </div>
  </div>
  <div class="row">
    <div class="col">
      <div class="description">
        <Article::Viewer @value={{this.contentBlocks}} />
        {{#if @map}}
          <LinkTo
            @route="browse.maps.map-view"
            @model={{@map.id}}
            @query={{hash map=null viewbox=null}}
            class="btn btn-link show-map d-inline text-decoration-none ps-0"
          >
            <FaIcon @icon="map" />
            {{capitalize (t "show map")}}
          </LinkTo>
        {{/if}}
      </div>
    </div>
    <div class="col-md-3 d-flex flex-column">
      {{#if this.hasTeam}}
        <div class="text-center team-owner mb-sm-3 mb-0 order-2 order-md-0">
          <LinkTo @route="browse.teams.team" @model={{@map.visibility.team.id}}>
            {{#if @map.visibility.team.hasLogo}}
              <img
                src="{{@map.visibility.team.logo.picture}}/md"
                alt={{@map.visibility.team.name}}
                class="team-logo"
              /><br />
            {{/if}}
            {{t "author-label" name=@map.visibility.team.name}}
          </LinkTo>
        </div>
      {{/if}}

      {{#if (or @map.license.name @map.license.url)}}
        <div class="license">
          <Browse::License @value={{@map.license}} />
        </div>
      {{/if}}

      {{#if @map.hasStartDate}}
        <div class="mb-3">
          <b>{{capitalize (t "started on")}}</b>
          <p class="start-date">
            {{format-date @map.startDate day="numeric" month="long" year="numeric"}}
          </p>
        </div>
      {{/if}}

      {{#if @map.hasEndDate}}
        <div class="mb-3">
          <b>{{capitalize (t "ended on")}}</b>
          <p class="end-date">
            {{format-date @map.endDate day="numeric" month="long" year="numeric"}}
          </p>
        </div>
      {{/if}}

      <div class="mb-3 meta-container">
        {{#each this.meta as |item|}}
          <p class="mb-0 pb-0">
            {{t (concat "metrics." item.title) value=item.value}}
          </p>
        {{/each}}
      </div>
    </div>
  </div>
</div>